apiVersion: v1
kind: Pod
metadata:
  name: kustomize-disallowed
spec:
  initContainers:
  - name: kustomize
    image:  registry.k8s.io/kustomize/kustomize:v5.6.0@sha256:b5f56e6becd1ba93a1a775a149763e3841a177beb10191624100bed81b44d297
  containers:
    - name: kustomize
      image: registry.k8s.io/kustomize/kustomize:v5.6.0@sha256:b5f56e6becd1ba93a1a775a149763e3841a177beb10191624100bed81b44d297
  ephemeralContainers:
    - name: kustomize
      image: registry.k8s.io/kustomize/kustomize:v5.6.0@sha256:b5f56e6becd1ba93a1a775a149763e3841a177beb10191624100bed81b44d297
